package org.syncloud.facade.proxy;

import org.syncloud.facade.StorageManager;
import syncloud.storage.IFolder;
import syncloud.storage.IStorage;
import syncloud.storage.NodeKey;
import syncloud.storage.StorageUtils;

import java.util.List;

public class DirectFoldersProxy implements FoldersProxy {

    private StorageManager manager;

    public DirectFoldersProxy(StorageManager manager) {
        this.manager = manager;
    }

    public List<IFolder> getFolders(NodeKey nodeKey) {
        IStorage storage = manager.getStorage(nodeKey.getStorageKey());
        StorageUtils storageUtils = new StorageUtils(storage);
        return storageUtils.getFolders(nodeKey.getPathKey());
    }


}